final class CLXNotificationName {
  final String name;

  const CLXNotificationName({required String name})
      : name = 'clx_notification_$name';

  @override
  operator ==(Object other) {
    if (other is CLXNotificationName) {
      return name == other.name;
    } else {
      return false;
    }
  }

  @override
  int get hashCode => super.hashCode;

  bool isEqual(Object other) {
    if (other is CLXNotificationName) {
      return name == other.name;
    } else if (other is String) {
      return name == 'clx_notification_$other';
    } else {
      return false;
    }
  }
}
